[workspace]
members = ["kernel", "libm"]
resolver = "2"

[workspace.package]
version = "0.1.0"
edition = "2024"
authors = ["The FoundryOS Contributors"]

[profile.dev]
opt-level = "z"
debug = true
# Leave this on to force Cargo to use the debug runner,
# which adds the necessary flags for GDB debugging if you
# set $USE_GDB (to any value) e.g. USE_GDB=1 cargo run 
debug-assertions = true
overflow-checks = true
lto = false
incremental = false
codegen-units = 1

[profile.release]
opt-level = 3
debug = false
debug-assertions = false
overflow-checks = false
lto = true
incremental = false
codegen-units = 1
